%% ---------------------------------------------------------------------------
%% @doc predefine.erl
%% @author ming_up@foxmail.com
%% @since  2016-09-06
%% @deprecated 游戏定义
%% ---------------------------------------------------------------------------

%% 场景
-define(MAIN_CITY_SCENE,              1003).    %% 主城id
-define(MAIN_CITY_SCENE_LIST,       [1003]).    %% 是否在主城
-define(MAIN_CITY_RAND_XY, [{12610, 4276}]).    %% 主城随机出生坐标点
-define(BORN_SCENE,                   1001).    %% 新手出生场景id

%% 跨服主城开放时间相关配置KEY
-define(CENTER_CITY_OPEN_KEY, 1030001).

%% 玩家阵营
-define(REALM_KUNLUN,  1).   %% 1昆仑
-define(REALM_XUANDU,  2).   %% 2玄都
-define(REALM_PENGLAI, 3).   %% 3蓬莱

%% 所有阵营
-define(ALL_REALM, [?REALM_KUNLUN, ?REALM_XUANDU, ?REALM_PENGLAI]).

%% 性别
-define(MALE,          1).   %% 男
-define(FEMALE,        2).   %% 女

%% pk模式
-define(PK_PEACE,         0).%% 和平:可以攻击红名非同帮和同组玩家
-define(PK_FORCE,         1).%% 强制:不能攻击同帮/同队
-define(PK_ALL,           2).%% 全体:所有人
-define(PK_GUILD,         3).%% 社团（公会）
-define(PK_DIFF_SERVER,   4).%% 服务器:只能对他服玩家造成伤害

-define(PK_PEACE_ULTIMATE,9).%% 终极和平:不能攻击任何人且不能被任何人攻击

%% 职业
-define(SWORDSMAN,     1).   %% 剑士
-define(KNIGHT,        2).   %% 骑士
-define(MAGE,          3).   %% 法师
-define(GUNNER,        4).   %% 炮手
-define(ALL_CAREER_LIST, [?SWORDSMAN, ?KNIGHT, ?MAGE, ?GUNNER]).

%% 内部服务器TICKET(开发、稳定等)
-define(INTERNAL_TICKET, "SDFSDESF123DFSDF").

%% 计数器类型
-define(COUNTER_DAILY,      1). %% 日次数
-define(COUNTER_WEEK,       2). %% 周次数
-define(COUNTER_LIFETIME,   3). %% 终生次数

%% APPLY_CAST类型
-define(APPLY_CAST,         1). %% 进程cast方式执行MFA
-define(APPLY_CAST_STATUS,  2). %% 进程cast方式执行MFA，默认添加#status{}作为A的第一个参数
-define(APPLY_CAST_SAVE,    3). %% 进程cast方式执行MFA，默认添加#status{}作为A的第一个参数，且保存新的#status{}

%% APPLY_CALL类型
-define(APPLY_CALL,         1). %% 进程call方式执行MFA
-define(APPLY_CALL_STATUS,  2). %% 进程call方式执行MFA，默认添加#status{}作为A的第一个参数
-define(APPLY_CALL_SAVE,    3). %% 进程call方式执行MFA，默认添加#status{}作为A的第一个参数，且保存新的#status{}

%% HandleOffline类型
-define(NOT_HAND_OFFLINE,   0). %% HandleOffline类型：不处理离线情况
-define(HAND_OFFLINE,       1). %% HandleOffline类型：处理离线情况


%% 影响SQL语句的非法字符
%% 增加\非法数据库操作字符: "\\\\"
-define(ESC_ILLEGAL_SQL_CHARS, ["'", "/" , "\"", "_", "<", ">", "\\\\"]).


%% 模型
-define(LV_MODEL,          1).  %% 模型：1等级模型
-define(FASHION_MODEL,     2).  %% 模型：2时装模型
-define(GOD_EQUIP_MODEL,   3).  %% 模型：3神装模型(神兵)
%% 部件
-define(MODEL_PART_CLOTH,  1).  %% 部件：1衣服
-define(MODEL_PART_WEAPON, 2).  %% 部件：2武器
-define(MODEL_PART_HEAD,   3).  %% 部件：3头部

%% 发送相关玩家值给客户端更新
-define(NOTIFY_ATTR,      1).   %% 玩家基本战斗属性
-define(NOTIFY_MONEY,     2).   %% 货币属性
-define(NOTIFY_PK,        3).   %% 罪恶值
-define(NOTIFY_CURRENCY,  4).   %% 特殊货币

%% 物品
-define(GOODS,        goods).   %% 物品宏

%% 登录类型
-define(NORMAL_LOGIN,     1).   %% 玩家进程不存在时的登录
-define(RE_LOGIN,         2).   %% 玩家进程还存在时的登录

%% 登出类型
-define(NORMAL_LOGOUT,    1).   %% 真实登出
-define(DELAY_LOGIN,      2).   %% 延迟登出

%% 登录登出日志类型
%% 注: 登出类型与登录类型连用，其中2-4类型暂时留空
-define(LOGIN_LOG_NORMAL,       1).   %% 登录类型: 正常登录
-define(LOGIN_LOG_HOSTING,      2).   %% 登录类型: 托管登陆
-define(LOGIN_LOG_RE,           3).   %% 登录类型: 重连登陆

-define(LOGOUT_LOG_HOSTING,     4).   %% 登出类型: 托管结束
-define(LOGOUT_LOG_NORMAL,      5).   %% 登出类型: 正常退出
-define(LOGOUT_LOG_ERROR,       6).   %% 登出类型: 异常退出
-define(LOGOUT_LOG_SERVER_STOP, 7).   %% 登出类型: 停服退出
-define(LOGOUT_LOG_LIMIT_LOGIN, 8).   %% 登出类型: 停服退出

%% 攻击疲劳值类型
-define(TIRED_BUTTERFLY,      1).     %% 捕蝶
-define(TIRED_BOSS_TEMPLE,    2).     %% 诛魔之地boss

